﻿Type=Service
Version=2.30
StartAtBoot=False
@EndOfDesignText@
'Service module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
  Dim GPS1 As GPS
End Sub

Sub Service_Create
	ToastMessageShow("Creating the service at Service_Create", True)
	GPS1.Stop
	ToastMessageShow("Initializing GPS at Service_Create", True)
 	GPS1.Initialize("GPS")
	ToastMessageShow("Starting the GPS at Service_Create", True)
	'GPS1.Start(60000,5)
 GPS1.Start(0, 0)
End Sub

Sub Service_Start (StartingIntent As Intent)
	ToastMessageShow("Starting the service at Service.Start", True)
	ToastMessageShow("Rescheduling the service at Service.Start", True)
 	StartServiceAt("", DateTime.Now + 5 * 60000, True) 'schedule the next task to run in 5 minutes.
	ToastMessageShow("Checking GPS at Service.Start", True)
  If GPS1.GPSEnabled = False Then
    ToastMessageShow("Please enable the GPS device.", False)
    StartActivity(GPS1.LocationSettingsIntent) 'Will open the relevant settings screen.
  'Else
'TODO -- We are making the params 0,0 for development.  The higher values will be used to conserve bat in real world.  However, we may have a problem getting initial values?		
	  'GPS1.Start(60000, 5)
  End If
	ToastMessageShow("Done starting the service at Service_Start", True)
End Sub

Sub Service_Destroy
  GPS1.Stop
End Sub

Sub GPS_LocationChanged (Location1 As Location)
'ToastMessageShow("Logging a location change", True),
	'Main.GeoNotification.SetInfo("Geolarms", "Your location changed", "Main")
	'Main.GeoNotification.Notify(2)
	'TODO -- I think this is firing all the time, and will be a huge battery drain, we need to look at this.
'ToastMessageShow("Setting the current location at Service.GPS_LocationChanaged", True)
	Main.CurrentLocation = Location1
'ToastMessageShow("Done Setting the current location at Service.GPS_LocationChanaged", True)
End Sub



Sub GPS_UserEnabled (Enabled As Boolean)
  ToastMessageShow("GPS successfully enabled", False)
End Sub


Sub GetDistance(Location1, Location2 As Location)
	'Dim Distance As Double
	'Dim Latitude1, Latitude2, Longitude1, Longitude2 As Double
	'Location1.Latitude = Latitude1
	'Location1.Longitude = Longitude1
	'Location2.Latitude = Latitude2
	'Location2.Longitude = Longitude2
	'Distance = Location1.DistanceTo(Location2)
End Sub